/*External CSS*/

body{
	background-color: lightblue;
}

p{
	background-color: coral;
	font-size: 50px;
}
span{
	color: darkgreen;
	background-color: lightpink;
}



/*CSS Selectors*/

/*ID Selector - uses # symbol*/
#greeting{
	color: red;
	font-size: 10px;
}

/*Class Selector - uses . symbol*/
.welcome{
	color: teal;
	letter-spacing: 5px;
}

/*Attribute Selector - uses [] symbol*/
[type="text"]{
	background-color: orange;
}

/*Type Selector - uses tag name*/
section{
	font-size: 32px;
	/*text-align: right;*/
	/*float: right;*/
}

/*Universal selector - uses * symbol*/
*{
	margin: 0;
	padding: 0;
}

/*CSS Selector Combinators*/

/*Descendant Selector (white space) - includes grandchild and so on*/

/*div p{
	background-color: red;
}*/

/*#parent p{
	background-color: red;
}

*/

/*#parent section p{
	background-color: red;
}

or

div section p{
	background-color: red;
}

*/

/*Child Selector (>) - legitimate child of parent*/

/*div > p{
	background-color: red;
}*/


/*#parent > p{
	background-color: red;
}*/

/*General Sibling Selector (~) - element with sibling after preceding line after the first child will be affected by the style*/

/*p ~ p{
	background-color: red;
}*/

/*Adjacent Sibling Selector (+) - affects the element within the nextline prior the first child*/

/*div + p{
	background-color: red;
}*/

/*p + p{
	background-color: red;
}*/